Bug 1294842 - (kf5-libkdcraw) Review Request: kf5-libkdcraw - A C++ interface around LibRaw library
Review Request: kf5-libkdcraw - A C++ interface around LibRaw library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pier Luigi Fiorini
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews digikam-5.0
  Show dependency treegraph
 
Reported: 2015-12-30 11:06 EST by Rex Dieter
Modified: 2016-02-21 11:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:29:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pierluigi.fiorini: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2015-12-30 11:06:26 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-libkdcraw.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-libkdcraw-15.12.0-1.fc23.src.rpm
Description: A C++ interface around LibRaw library
Fedora Account System Username: rdieter
Comment 1 Upstream Release Monitoring 2015-12-30 11:15:53 EST
rdieter's scratch build of kf5-libkdcraw-15.12.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12349211
Comment 2 Pier Luigi Fiorini 2016-01-16 06:29:23 EST
naming: ok

sources: ok
SHA1 0d4d2fb6897eb84cab42705d6a4f16f901f5aa2d libkdcraw-15.12.0.tar.xz

license: ok

ldconfig post/postun: ok

files: ok though I have an observation.

subdirs are not owned by any other package so they should be %dir, shouldn't they?

Like:

%files devel
%{_kf5_libdir}/libKF5KDcraw.so
%{_kf5_includedir}/libkdcraw_version.h
%dir %{_kf5_includedir}/KDCRAW/
%{_kf5_includedir}/KDCRAW/*
%dir %{_kf5_libdir}/cmake/KF5KDcraw/
%{_kf5_libdir}/cmake/KF5KDcraw/*
Comment 3 Pier Luigi Fiorini 2016-01-16 06:31:45 EST
APPROVED
Comment 4 Rex Dieter 2016-02-07 15:08:42 EST
Re: dir ownership question from comment #2 ...

turns out that:
%{_kf5_includedir}/KDCRAW/

by itself already does recursive ownership, so that the dir *and* everything under it is owned, it is the simplified equivalent to doing:

%dir %{_kf5_includedir}/KDCRAW/
%{_kf5_includedir}/KDCRAW/*
Comment 5 Gwyn Ciesla 2016-02-08 09:38:18 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/kf5-libkdcraw
Comment 6 Fedora Update System 2016-02-08 14:25:55 EST
kf5-libkdcraw-15.12.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ec1dc60f0
Comment 7 Fedora Update System 2016-02-09 17:26:59 EST
kf5-libkdcraw-15.12.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ec1dc60f0
Comment 8 Fedora Update System 2016-02-21 11:29:43 EST
kf5-libkdcraw-15.12.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.